Interface CaseAttachmentServiceGrpc.AsyncService (0.77.0)

public static interface CaseAttachmentServiceGrpc.AsyncService

A service to manage file attachments for Google Cloud support cases.

Methods

getAttachment(GetAttachmentRequest request, StreamObserver<Attachment> responseObserver)

public default void getAttachment(GetAttachmentRequest request, StreamObserver<Attachment> responseObserver)

Retrieve an attachment associated with a support case. EXAMPLES: cURL: <code><code>shell attachment="projects/some-project/cases/23598314/attachments/0684M00000P3h1fQAB" curl &#92; --header "Authorization: Bearer $(gcloud auth print-access-token)" &#92; "https://cloudsupport.googleapis.com/v2/$attachment" </code></code><code> Python: </code><code><code>python import googleapiclient.discovery api_version = "v2" supportApiService = googleapiclient.discovery.build( serviceName="cloudsupport", version=api_version, discoveryServiceUrl=f"https://cloudsupport.googleapis.com/$discovery/rest?version={api_version}", ) request = ( supportApiService.cases() .attachments() .get(name="projects/some-project/cases/43595344/attachments/0684M00000P3h1fQAB") ) print(request.execute()) </code></code>

Parameters
Name Description
request GetAttachmentRequest
responseObserver io.grpc.stub.StreamObserver<Attachment>

listAttachments(ListAttachmentsRequest request, StreamObserver<ListAttachmentsResponse> responseObserver)

public default void listAttachments(ListAttachmentsRequest request, StreamObserver<ListAttachmentsResponse> responseObserver)

List all the attachments associated with a support case.

Parameters
Name Description
request ListAttachmentsRequest
responseObserver io.grpc.stub.StreamObserver<ListAttachmentsResponse>